// Moves the full path from one webdrilldown to the other
function SwapFullPath(sourceId, destinationId)
{
    // get/set full path
    var fullPath = cwddGetFullPath(sourceId);
    cwddSetFullPath(destinationId, fullPath);

    // get/set selected index
    var selectedIndex = cwddGetSelectedIndex(sourceId);
    cwddSetSelectedIndex(destinationId, selectedIndex);

    // set keyboard focus
    cwddSetFocus(destinationId);

    return false;
}

// Displays the webdrilldown selected full paths
function CustomDisplayFullPath(controlId, fullPathId)
{
    var fullPath = document.getElementById(fullPathId);
    var contents = cwddGetFullPath(controlId);
    contents += " (SelectedIndex = ";
    contents += cwddGetSelectedIndex(controlId);
    contents += ")<br />";
    controlId = "WebDrillDown2";
    contents += cwddGetFullPath(controlId);
    contents += " (SelectedIndex = ";
    contents += cwddGetSelectedIndex(controlId);
    contents += ")<br />";
    fullPath.innerHTML = contents;
}

// Initializes the webdrilldown controls on the page
function CustomWebDrillDownInitialize(controlId)
{
    WebDrillDown1Initialize(controlId);
    controlId = "WebDrillDown2";
    WebDrillDown2Initialize(controlId);
}
