﻿// The webdrilldown control settings
var WebDrillDownSettings =
{
    BackColor: "Ivory",
    BorderColor: "Gray",
    BorderStyle: "Solid",
    BorderWidth: "1px",
    Button:
    {
        BorderColor: "#606060",
        ForeColor: "White",
        SelectedBackColor: "#77A3BC"
    },
    Font:
    {
        Names: "Arial,helvetica,sans-serif",
        Size: "12px"
    },
    FullPath: "\/Painter\/Cubist\/Braque",
    Popup:
    {
        BackColor: "Ivory",
        BorderColor: "#505050",
        ForeColor: "#404040",
        LoadingText: "Reading...",
        SelectedBackColor: "#77A3BC",
        SelectedForeColor: "White"
    },
    SelectedIndex: 2,
    Width: "350px"
};

// The webdrilldown control item data
var WebDrillDownData =
{
    Items: [{
        Item: "Painter",
        Items: [{
            Item: "Cubist",
            Items: ["Braque",{
                Item: "Gleizes",
                Hint: "Red"
            },{
                Item: "Metzinger",
                Hint: "Green"
            },{
                Item: "Picasso",
                Hint: "Blue"
            }]
        },{
            Item: "Impressionist",
            Items: ["Bazille","Monet","Renoir","Sisley"]
        }],
        Next: "(select artist)"
    },{
        Item: "Musician",
        Items: [{
            Item: "Bassist",
            Items: ["Clayton","Entwistle","Jones","McCartney"]
        },{
            Item: "Guitarist",
            Items: ["Buckethead","Gilmour","Hendrix","Richards"]
        }],
        Next: "(select artist)"
    }],
    Next: "(select type)"
};

// Initializes the specified webdrilldown control
function WebDrillDownInitialize(controlId)
{
    cwddInitializeControl(controlId, WebDrillDownSettings, WebDrillDownData);
}
