// Displays the webdrilldown selected full path
function DisplayFullPath(controlId, fullPathId)
{
    var fullPath = document.getElementById(fullPathId);
    fullPath.innerHTML = cwddGetFullPath(controlId);
}

// Initializes the controls on the sample page
function InitializePage(controlId, fullPathId, aboutInfoId)
{
    if (typeof CustomWebDrillDownInitialize == "function")
    {
        CustomWebDrillDownInitialize(controlId);
    }
    else
    {
        WebDrillDownInitialize(controlId);
    }

    cwddSetFocus(controlId);

    if (typeof CustomDisplayFullPath == "function")
    {
        CustomDisplayFullPath(controlId, fullPathId);
    }
    else
    {
        DisplayFullPath(controlId, fullPathId);
    }

    var aboutInfo = document.getElementById(aboutInfoId);
    aboutInfo.innerHTML = cwddAbout.replace(/\r\n/g, "<br />");
}
