﻿// The webdrilldown control settings
var WebDrillDownSettings =
{
    AccessKey: "w",
    BackColor: "Ivory",
    BorderColor: "Gray",
    BorderStyle: "Solid",
    BorderWidth: "1px",
    Button:
    {
        BackColor: "#1293B7",
        BorderColor: "#606060",
        ForeColor: "White",
        SelectedBackColor: "#606060"
    },
    EnableOutline: true,
    Font:
    {
        Names: "Arial,helvetica,sans-serif",
        Size: "13px"
    },
    FullPath: "\/Dogs\/[category]",
    Popup:
    {
        BackColor: "Ivory",
        BorderColor: "#505050",
        ForeColor: "#404040",
        LoadingText: "Reading...",
        SelectedBackColor: "#606060",
        SelectedForeColor: "White"
    },
    SelectedIndex: 1,
    Width: "400px"
};

// The webdrilldown control item data
var WebDrillDownData =
{
    Items: [{
        Item: "Dogs",
        Items: [{
            Item: "Sporting Group",
            Items: ["American Water Spaniel","Boykin Spaniel","Brittany","Chesapeake Bay Retriever","Clumber Spaniel","Cocker Spaniel","Curly-Coated Retriever","English Cocker Spaniel","English Setter","English Springer Spaniel","Field Spaniel","Flat-Coated Retriever","German Shorthaired Pointer","German Wirehaired Pointer","Golden Retriever","Gordon Setter","Irish Red and White Setter","Irish Setter","Irish Water Spaniel","Labrador Retriever","Nova Scotia Duck Tolling Retriever","Pointer","Spinone Italiano","Sussex Spaniel","Vizsla","Weimaraner","Welsh Springer Spaniel","Wirehaired Pointing Griffon","Wirehaired Vizsla"]
        },{
            Item: "Hound Group",
            Items: ["Afghan Hound","American English Coonhound","American Foxhound","Basenji","Basset Hound","Beagle","Black and Tan Coonhound","Bloodhound","Bluetick Coonhound","Borzoi","Dachshund","English Foxhound","Greyhound","Harrier","Ibizan Hound","Irish Wolfhound","Norwegian Elkhound","Otterhound","Petit Basset Griffon Vendéen","Pharaoh Hound","Plott","Portuguese Podengo Pequeno","Redbone Coonhound","Rhodesian Ridgeback","Saluki","Scottish Deerhound","Treeing Walker Coonhound","Whippet"]
        },{
            Item: "Working Group",
            Items: ["Akita","Alaskan Malamute","Anatolian Shepherd Dog","Bernese Mountain Dog","Black Russian Terrier","Boxer","Bullmastiff","Cane Corso","Chinook","Doberman Pinscher","Dogue de Bordeaux","German Pinscher","Giant Schnauzer","Great Dane","Great Pyrenees","Greater Swiss Mountain Dog","Komondor","Kuvasz","Leonberger","Mastiff","Neapolitan Mastiff","Newfoundland","Portuguese Water Dog","Rottweiler","Saint Bernard","Samoyed","Siberian Husky","Standard Schnauzer","Tibetan Mastiff"]
        },{
            Item: "Terrier Group",
            Items: ["Airedale Terrier","American Staffordshire Terrier","Australian Terrier","Bedlington Terrier","Border Terrier","Bull Terrier","Cairn Terrier","Cesky Terrier","Dandie Dinmont Terrier","Glen of Imaal Terrier","Irish Terrier","Kerry Blue Terrier","Lakeland Terrier","Manchester Terrier","Miniature Bull Terrier","Miniature Schnauzer","Norfolk Terrier","Norwich Terrier","Parson Russell Terrier","Rat Terrier","Russell Terrier","Scottish Terrier","Sealyham Terrier","Skye Terrier","Smooth Fox Terrier","Soft Coated Wheaten Terrier","Staffordshire Bull Terrier","Welsh Terrier","West Highland White Terrier","Wire Fox Terrier"]
        },{
            Item: "Toy Group",
            Items: ["Affenpinscher","Brussels Griffon","Cavalier King Charles Spaniel","Chihuahua","Chinese Crested","English Toy Spaniel","Havanese","Italian Greyhound","Japanese Chin","Maltese","Manchester Terrier","Miniature Pinscher","Papillon","Pekingese","Pomeranian","Poodle","Pug","Shih Tzu","Silky Terrier","Toy Fox Terrier","Yorkshire Terrier"]
        },{
            Item: "Non-Sporting Group",
            Items: ["American Eskimo Dog","Bichon Frise","Boston Terrier","Bulldog","Chinese Shar-Pei","Chow Chow","Coton de Tulear","Dalmatian","Finnish Spitz","French Bulldog","Keeshond","Lhasa Apso","Löwchen","Norwegian Lundehund","Poodle","Schipperke","Shiba Inu","Tibetan Spaniel","Tibetan Terrier","Xoloitzcuintli"]
        },{
            Item: "Herding Group",
            Items: ["Australian Cattle Dog","Australian Shepherd","Bearded Collie","Beauceron","Belgian Malinois","Belgian Sheepdog","Belgian Tervuren","Border Collie","Bouvier des Flandres","Briard","Canaan Dog","Cardigan Welsh Corgi","Collie","Entlebucher Mountain Dog","Finnish Lapphund","German Shepherd Dog","Icelandic Sheepdog","Norwegian Buhund","Old English Sheepdog","Pembroke Welsh Corgi","Polish Lowland Sheepdog","Puli","Pyrenean Shepherd","Shetland Sheepdog","Swedish Vallhund"]
        },{
            Item: "Miscellaneous Class",
            Items: ["American Hairless Terrier","Azawakh","Belgian Laekenois","Bergamasco","Berger Picard","Boerboel","Cirneco dell Etna","Dogo Argentino","Grand Basset Griffon Vendéen","Lagotto Romagnolo","Miniature American Shepherd","Norrbottenspets","Peruvian Inca Orchid","Portuguese Podengo","Pumi","Sloughi","Spanish Water Dog"]
        }],
        Next: "[breed]"
    }],
    Next: "[category]"
};

// Initializes the specified webdrilldown control
function WebDrillDownInitialize(controlId)
{
    cwddInitializeControl(controlId, WebDrillDownSettings, WebDrillDownData);
}
