﻿var targetId = "WebDrillDown1";

var sampleServers =
{
    "/": { Items: ["Americas", "Asia", "Europe"], Next: "[location]" },

    "/Americas": { Items: ["Chile", "Georgia", "Iowa", "North Carolina", "Oklahoma", "Oregon", "South Carolina"], Next: "[role]" },

    "/Americas/Chile": { Items: ["Database Server", "Monitoring Server", "Web Server"], Next: "[server]" },
    "/Americas/Chile/Database Server": { Items: ["CL1003SQL", "CL1004SQL", "CL1005SQL", "CL1006SQL", "CL1007SQL"] },
    "/Americas/Chile/Monitoring Server": { Items: ["CL1005MON", "CL1007MON", "CL1008MON"] },
    "/Americas/Chile/Web Server": { Items: ["CL1003WEB", "CL1005WEB", "CL1006WEB", "CL1008WEB", "CL1010WEB"] },

    "/Americas/Georgia": { Items: ["Database Server", "Monitoring Server", "Web Server"], Next: "[server]" },
    "/Americas/Georgia/Database Server": { Items: ["GA1002SQL", "GA1003SQL", "GA1005SQL", "GA1006SQL"] },
    "/Americas/Georgia/Monitoring Server": { Items: ["GA1005MON", "GA1007MON", "GA1009MON", "GA1011MON"] },
    "/Americas/Georgia/Web Server": { Items: ["GA1003WEB", "GA1005WEB", "GA1006WEB", "GA1008WEB", "GA1009WEB", "GA1010WEB", "GA1011WEB", "GA1013WEB", "GA1015WEB", "GA1017WEB", "GA1018WEB"] },

    "/Americas/Iowa": { Items: ["Database Server", "Monitoring Server", "Web Server"], Next: "[server]" },
    "/Americas/Iowa/Database Server": { Items: ["IW1002SQL", "IW1003SQL", "IW1004SQL", "IW1006SQL", "IW1007SQL", "IW1009SQL", "IW1010SQL", "IW1011SQL", "IW1013SQL"] },
    "/Americas/Iowa/Monitoring Server": { Items: ["IW1002MON", "IW1004MON", "IW1006MON", "IW1008MON"] },
    "/Americas/Iowa/Web Server": { Items: ["IW1002WEB", "IW1003WEB", "IW1005WEB"] },

    "/Americas/North Carolina": { Items: ["Database Server", "Monitoring Server", "Web Server"], Next: "[server]" },
    "/Americas/North Carolina/Database Server": { Items: ["NC1005SQL", "NC1007SQL", "NC1008SQL", "NC1010SQL", "NC1011SQL", "NC1012SQL", "NC1014SQL", "NC1016SQL", "NC1018SQL", "NC1020SQL"] },
    "/Americas/North Carolina/Monitoring Server": { Items: ["NC1001MON", "NC1002MON", "NC1004MON", "NC1005MON"] },
    "/Americas/North Carolina/Web Server": { Items: ["NC1004WEB", "NC1005WEB", "NC1006WEB", "NC1007WEB", "NC1009WEB", "NC1011WEB", "NC1012WEB", "NC1014WEB", "NC1016WEB", "NC1017WEB", "NC1019WEB", "NC1020WEB"] },

    "/Americas/Oklahoma": { Items: ["Database Server", "Monitoring Server", "Web Server"], Next: "[server]" },
    "/Americas/Oklahoma/Database Server": { Items: ["OK1004SQL", "OK1006SQL", "OK1007SQL", "OK1008SQL", "OK1010SQL", "OK1011SQL", "OK1012SQL", "OK1014SQL", "OK1016SQL"] },
    "/Americas/Oklahoma/Monitoring Server": { Items: ["OK1004MON", "OK1005MON", "OK1007MON"] },
    "/Americas/Oklahoma/Web Server": { Items: ["OK1004WEB", "OK1005WEB", "OK1006WEB", "OK1008WEB", "OK1010WEB", "OK1012WEB"] },

    "/Americas/Oregon": { Items: ["Database Server", "Monitoring Server", "Web Server"], Next: "[server]" },
    "/Americas/Oregon/Database Server": { Items: ["OR1004SQL", "OR1005SQL", "OR1006SQL", "OR1007SQL", "OR1009SQL", "OR1010SQL", "OR1012SQL"] },
    "/Americas/Oregon/Monitoring Server": { Items: ["OR1003MON", "OR1004MON", "OR1006MON", "OR1008MON", "OR1010MON", "OR1011MON"] },
    "/Americas/Oregon/Web Server": { Items: ["OR1005WEB", "OR1007WEB", "OR1008WEB", "OR1010WEB", "OR1011WEB", "OR1012WEB", "OR1013WEB", "OR1014WEB", "OR1015WEB", "OR1017WEB", "OR1018WEB", "OR1019WEB"] },

    "/Americas/South Carolina": { Items: ["Database Server", "Monitoring Server", "Web Server"], Next: "[server]" },
    "/Americas/South Carolina/Database Server": { Items: ["SC1004SQL", "SC1006SQL", "SC1007SQL", "SC1008SQL", "SC1010SQL", "SC1011SQL", "SC1012SQL", "SC1013SQL", "SC1014SQL"] },
    "/Americas/South Carolina/Monitoring Server": { Items: ["SC1003MON", "SC1005MON", "SC1006MON"] },
    "/Americas/South Carolina/Web Server": { Items: ["SC1002WEB", "SC1003WEB", "SC1004WEB", "SC1006WEB", "SC1008WEB"] },

    "/Asia": { Items: ["Taiwan", "Singapore"], Next: "[role]" },

    "/Asia/Taiwan": { Items: ["Database Server", "Monitoring Server", "Web Server"], Next: "[server]" },
    "/Asia/Taiwan/Database Server": { Items: ["TW1003SQL", "TW1004SQL", "TW1006SQL", "TW1008SQL", "TW1010SQL"] },
    "/Asia/Taiwan/Monitoring Server": { Items: ["TW1004MON", "TW1006MON", "TW1007MON", "TW1008MON", "TW1010MON", "TW1012MON"] },
    "/Asia/Taiwan/Web Server": { Items: ["TW1005WEB", "TW1007WEB", "TW1009WEB", "TW1011WEB", "TW1012WEB", "TW1013WEB", "TW1014WEB", "TW1015WEB", "TW1017WEB", "TW1019WEB"] },

    "/Asia/Singapore": { Items: ["Database Server", "Monitoring Server", "Web Server"], Next: "[server]" },
    "/Asia/Singapore/Database Server": { Items: ["SG1004SQL", "SG1005SQL", "SG1006SQL", "SG1007SQL", "SG1008SQL", "SG1010SQL", "SG1011SQL", "SG1013SQL"] },
    "/Asia/Singapore/Monitoring Server": { Items: ["SG1003MON", "SG1005MON", "SG1007MON", "SG1009MON"] },
    "/Asia/Singapore/Web Server": { Items: ["SG1004WEB", "SG1005WEB", "SG1007WEB", "SG1008WEB", "SG1010WEB", "SG1011WEB", "SG1013WEB", "SG1014WEB", "SG1015WEB"] },

    "/Europe": { Items: ["Belgium", "Finland", "Ireland"], Next: "[role]" },

    "/Europe/Belgium": { Items: ["Database Server", "Monitoring Server", "Web Server"], Next: "[server]" },
    "/Europe/Belgium/Database Server": { Items: ["BE1001SQL", "BE1003SQL", "BE1005SQL", "BE1007SQL", "BE1008SQL", "BE1010SQL", "BE1012SQL", "BE1013SQL"] },
    "/Europe/Belgium/Monitoring Server": { Items: ["BE1004MON", "BE1005MON", "BE1006MON", "BE1008MON", "BE1010MON"] },
    "/Europe/Belgium/Web Server": { Items: ["BE1004WEB", "BE1005WEB", "BE1006WEB", "BE1007WEB", "BE1008WEB", "BE1010WEB"] },

    "/Europe/Finland": { Items: ["Database Server", "Monitoring Server", "Web Server"], Next: "[server]" },
    "/Europe/Finland/Database Server": { Items: ["FI1002SQL", "FI1004SQL", "FI1006SQL", "FI1008SQL", "FI1010SQL", "FI1012SQL"] },
    "/Europe/Finland/Monitoring Server": { Items: ["FI1004MON", "FI1005MON", "FI1006MON", "FI1007MON"] },
    "/Europe/Finland/Web Server": { Items: ["FI1004WEB", "FI1006WEB", "FI1008WEB", "FI1010WEB", "FI1011WEB", "FI1013WEB", "FI1015WEB"] },

    "/Europe/Ireland": { Items: ["Database Server", "Monitoring Server", "Web Server"], Next: "[server]" },
    "/Europe/Ireland/Database Server": { Items: ["IE1005SQL", "IE1007SQL", "IE1009SQL", "IE1011SQL", "IE1013SQL", "IE1014SQL", "IE1015SQL", "IE1017SQL", "IE1018SQL"] },
    "/Europe/Ireland/Monitoring Server": { Items: ["IE1001MON", "IE1002MON", "IE1003MON", "IE1005MON", "IE1006MON"] },
    "/Europe/Ireland/Web Server": { Items: ["IE1004WEB", "IE1006WEB", "IE1007WEB", "IE1009WEB", "IE1011WEB", "IE1012WEB", "IE1014WEB"] }
};

// Retrieves data requested by the webdrilldown control
function cwddOnBeginRequest(controlId, requestPath)
{
    var responseData = null;

    if (controlId == targetId)
    {
        if (requestPath == "/")
        {
            // return root items immediately
            responseData = sampleServers[requestPath];
        }
        else
        {
            // simulate loading delay
            setTimeout(function ()
            {
                responseData = sampleServers[requestPath];
                cwddProcessResponse(controlId, responseData);
            },
            350);
        }
    }

    return responseData;
}
