﻿// The webdrilldown control settings
var WebDrillDownSettings =
{
    BackColor: "Ivory",
    BorderColor: "Gray",
    BorderStyle: "Solid",
    BorderWidth: "1px",
    Button:
    {
        BackColor: "#A94848",
        DefaultText: "(select category)",
        ForeColor: "Ivory",
        SelectedBackColor: "#606060"
    },
    Font:
    {
        Names: "Arial,helvetica,sans-serif",
        Size: "13px"
    },
    FullPath: "\/(select category)",
    Popup:
    {
        BackColor: "Ivory",
        BorderColor: "#505050",
        ForeColor: "#404040",
        LoadingText: "please wait",
        SelectedBackColor: "#606060",
        SelectedForeColor: "Ivory"
    },
    Width: "320px"
};

// The webdrilldown control item data
var WebDrillDownData =
{
    Items: [{
        Item: "Painter",
        Items: [{
            Item: "Cubist",
            Items: ["Braque","Gleizes","Metzinger","Picasso"]
        },{
            Item: "Impressionist",
            Items: ["Bazille","Monet","Renoir","Sisley"]
        }],
        Next: "(select artist)"
    },{
        Item: "Musician",
        Items: [{
            Item: "Bassist",
            Items: ["Clayton","Entwistle","Jones","McCartney"]
        },{
            Item: "Guitarist",
            Items: ["Buckethead","Gilmour","Hendrix","Richards"]
        }],
        Next: "(select artist)"
    }],
    Next: "(select type)"
};

// Initializes the specified webdrilldown control
function WebDrillDownInitialize(controlId)
{
    cwddInitializeControl(controlId, WebDrillDownSettings, WebDrillDownData);
}
