﻿// The webdrilldown control settings
var WebDrillDownSettings =
{
    Button:
    {
        DefaultText: "(start here)"
    },
    Font:
    {
        Names: "Arial,helvetica,sans-serif",
        Size: "13px"
    },
    FullPath: "\/Vegetables\/Peppers\/Grilled Peppers",
    Height: "175px",
    StyleDefinitions: "vertical.css",
    Width: "150px"
};

// The webdrilldown control item data
var WebDrillDownData =
{
    Items: [{
        Item: "Vegetables",
        Items: [{
            Item: "Spinach",
            Items: ["Garlic Spinach","Spinach Arancini","Spinach Pie","Spinach Rice","Spinach Potatoes"]
        },{
            Item: "Carrots",
            Items: ["Candied Carrots","Carrot Cake","Carrot Souffle","Glazed Carrots","Carrot Pie"]
        },{
            Item: "Onions",
            Items: ["Onion Quiche","Onion Jam","Onion Tart","Onion Strips","Onion Dip"]
        },{
            Item: "Peppers",
            Items: ["Pepper Bread","Pepper Salad","Grilled Peppers","Pepper Jelly","Stuffed Peppers"]
        },{
            Item: "Broccoli",
            Items: ["Broccoli Slaw","Steamed Broccoli","Broccoli Pesto","Fried Broccoli","Broccoli Stuffing"]
        }],
        Next: "(select item)"
    },{
        Item: "Fruits",
        Items: [{
            Item: "Apples",
            Items: ["Apple Dumplings","Apple Pie","Apple Squares","Apple Turnovers","Apple Dip"]
        },{
            Item: "Oranges",
            Items: ["Orange Gelatin","Orange Hummus","Orange Buns","Orange Surprise","Orange Sangria"]
        },{
            Item: "Bananas",
            Items: ["Banana Crepes","Banana Pudding","Banana Loaf","Banana Muffins","Frozen Bananas"]
        },{
            Item: "Berries",
            Items: ["Berry Surprise","Berries and Cream","Berry Cobbler","Berry Crisp","Berry Pie"]
        },{
            Item: "Lemons",
            Items: ["Lemon Cake","Lemon Butter","Lemon Cheesecake","Lemon Biscuits","Lemon Fizz"]
        }],
        Next: "(select item)"
    },{
        Item: "Grains",
        Items: [{
            Item: "Wheat",
            Items: ["Wheat Bread","Wheat Rolls","Wheat Crackers","Cream of Wheat","Wheat Pancakes"]
        },{
            Item: "Rice",
            Items: ["Rice Salad","Spanish Rice","Rice Paddies","Rice Lasagna","Rice Pudding"]
        },{
            Item: "Oats",
            Items: ["Oat Soup","Oat Bread","Oat Bars","Oat Waffles","Oat Scones"]
        },{
            Item: "Barley",
            Items: ["Barley Primavera","Barley Soup","Barley Pilaf","Barley Casserole","Barley Bread"]
        },{
            Item: "Bread",
            Items: ["Zucchini Bread","Facaccia Bread","Pepperoni Bread","Pumpkin Bread","Bread Pudding"]
        },{
            Item: "Pasta",
            Items: ["Pasta Fagioli","Pasta Salad","Chestnut Pasta","Prawn Pasta","Pasta Fazul"]
        }],
        Next: "(select item)"
    },{
        Item: "Dairy",
        Items: [{
            Item: "Milk",
            Items: ["Milk Bread","Chocolate Milk","Milk Shake","Milk Smoothie","Milk Tart"]
        },{
            Item: "Butter",
            Items: ["Garlic Butter","Butter Crescents","Basil Butter","Lemon Butter","Butter Cookies"]
        },{
            Item: "Yogurt",
            Items: ["Yogurt Cake","Yogurt Parfait","Yogurt Rice","Yogurt Pops","Yogurt Cornbread"]
        },{
            Item: "Cheese",
            Items: ["Cream Cheese","Cheese Ring","Cheese Manicotti","Cheese Fritters","Cheese Grits"]
        }],
        Next: "(select item)"
    },{
        Item: "Protein",
        Items: [{
            Item: "Chicken",
            Items: ["Chicken Marsala","Teriyaki Chicken","Chicken Salad","Chicken Wings","Chicken Parmesan"]
        },{
            Item: "Fish",
            Items: ["Fish Tocos","Fish Chowder","Fish and Chips","Fish Wellington","Grilled Fish"]
        },{
            Item: "Turkey",
            Items: ["Turkey Wraps","Turkey Salad","Turkey Tenderloins","Barbecued Turkey","Turkey Sliders"]
        },{
            Item: "Pork",
            Items: ["Pork Carnitas","Pork Steaks","Roast Pork","Pork Pie","Pork Sausage"]
        },{
            Item: "Beef",
            Items: ["Beef and Noodles","Beef Fajitas","Sesame Beef","Beef Stewganoff","Beef Tamales"]
        }],
        Next: "(select item)"
    }],
    Next: "(select item)"
};

// Initializes the specified webdrilldown control
function WebDrillDownInitialize(controlId)
{
    cwddInitializeControl(controlId, WebDrillDownSettings, WebDrillDownData);
}
